Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.conversion.metadata
Class ConversionDescription

    java.lang.Object
      com.opensymphony.xwork2.conversion.metadata.ConversionDescription

    public class ConversionDescription

extends Object

`ConversionDescription`

Version:
  $Id: ConversionDescription.java 1063 2006-07-10 02:30:29 +0200 (Mon, 10 Jul 2006) mrdon $
Author:
  Rainer Hermanns

Field Summary
`static String` | `DEPRECATED_ELEMENT_PREFIX`
`static String` | `ELEMENT_PREFIX`
`String` | `fullQualifiedClassName`
`static String` | `KEY_PREFIX`
`static String` | `KEY_PROPERTY_PREFIX`
`protected static Log` | `log` Jakarta commons-logging reference.
`(package private) String` | `MAP_PREFIX` Key used for type conversion of maps.
`String` | `property`
`String` | `rule`
`String` | `type`
`String` | `typeConverter`
`String` | `value`

Constructor Summary
`ConversionDescription()`
`ConversionDescription(String property)` Creates an ConversionDescription with the specified property name.

Method Summary
`String` | `asProperty()` Returns the conversion description as property entry.
`String` | `getFullQualifiedClassName()` Returns the fullQualifiedClassName attribute is used to create the special `conversion.properties` file name.
`String` | `getType()`
`String` | `getValue()`
`void` | `setFullQualifiedClassName(String fullQualifiedClassName)` The fullQualifiedClassName attribute is used to create the special `conversion.properties` file name.
`void` | `setProperty(String property)` Sets the property name to be inserted into the related conversion.properties file.
`void` | `setRule(String rule)` Sets the rule prefix for COLLECTION_PREFIX or MAP_PREFIX key.
`void` | `setType(String type)`
`void` | `setTypeConverter(String typeConverter)` Sets the class name of the type converter to be used.
`void` | `setValue(String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static Log log

  Jakarta commons-logging reference.

### KEY_PREFIX

    public static final String KEY_PREFIX

See Also:
  Constant Field Values

### ELEMENT_PREFIX

    public static final String ELEMENT_PREFIX

See Also:
  Constant Field Values

### KEY_PROPERTY_PREFIX

    public static final String KEY_PROPERTY_PREFIX

See Also:
  Constant Field Values

### DEPRECATED_ELEMENT_PREFIX

    public static final String DEPRECATED_ELEMENT_PREFIX

See Also:
  Constant Field Values

### MAP_PREFIX

    String MAP_PREFIX

  Key used for type conversion of maps.

### property

    public String property

### typeConverter

    public String typeConverter

### rule

    public String rule

### value

    public String value

### fullQualifiedClassName

    public String fullQualifiedClassName

### type

    public String type

Constructor Detail

### ConversionDescription

    public ConversionDescription()

### ConversionDescription

    public ConversionDescription(String property)

  Creates an ConversionDescription with the specified property name.

  Parameters:
    `property` -

Method Detail

### setProperty

    public void setProperty(String property)

  Sets the property name to be inserted into the related conversion.properties file.
  Note: Do not add COLLECTION_PREFIX or MAP_PREFIX keys to property names.

  Parameters:
    `property` - The property to be converted.

### setTypeConverter

    public void setTypeConverter(String typeConverter)

  Sets the class name of the type converter to be used.

  Parameters:
    `typeConverter` - The class name of the type converter.

### setRule

    public void setRule(String rule)

  Sets the rule prefix for COLLECTION_PREFIX or MAP_PREFIX key. Defaults to en emtpy String.

  Parameters:
    `rule` -

### setType

    public void setType(String type)

### getType

    public String getType()

### getValue

    public String getValue()

### setValue

    public void setValue(String value)

### asProperty

    public String asProperty()

  Returns the conversion description as property entry.

  Example:
  property.name = converter.className
  Collection_property.name = converter.className
  Map_property.name = converter.className KeyProperty_name = id

  Returns:
    the conversion description as property entry.

### getFullQualifiedClassName

    public String getFullQualifiedClassName()

  Returns the fullQualifiedClassName attribute is used to create the special `conversion.properties` file name.

  Returns:
    fullQualifiedClassName

### setFullQualifiedClassName

    public void setFullQualifiedClassName(String fullQualifiedClassName)

  The fullQualifiedClassName attribute is used to create the special `conversion.properties` file name.

  Parameters:
    `fullQualifiedClassName` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 OpenSymphony. All Rights Reserved.